// document.addEventListener('DOMContentLoaded', function() {
//   const questions = document.querySelectorAll('.question');
//   const progressBar = document.getElementById('progressBar');
//   const form = document.getElementById('adhdForm');
//   const nextButtons = document.querySelectorAll('.next-btn');
//   const prevButtons = document.querySelectorAll('.prev-btn');
//   const totalQuestions = questions.length;
//   let currentQuestion = 1;

//   // Update progress text initially
//   const progressText = document.querySelector('.progress-bar + div small:nth-child(2)');
//   if (progressText) {
//     progressText.textContent = `0/${totalQuestions}`;
//   }

//   // Update progress bar
//   function updateProgress() {
//     const progress = ((currentQuestion - 1) / totalQuestions) * 100;
//     progressBar.style.width = `${progress}%`;
//     progressBar.setAttribute('aria-valuenow', progress);
    
//     // Update progress text
//     if (progressText) {
//       progressText.textContent = `${currentQuestion - 1}/${totalQuestions}`;
//     }
//   }

//   // Show question
//   function showQuestion(questionNumber) {
//     // First hide all questions with a fade out effect
//     questions.forEach(question => {
//       question.classList.add('fade-out');
//       setTimeout(() => {
//         question.classList.add('d-none');
//         question.classList.remove('fade-out');
//       }, 300);
//     });

//     // Then show the target question with a fade in effect
//     setTimeout(() => {
//       const targetQuestion = document.querySelector(`.question[data-question="${questionNumber}"]`);
//       if (targetQuestion) {
//         targetQuestion.classList.remove('d-none');
//         setTimeout(() => {
//           targetQuestion.classList.add('fade-in');
//         }, 50);
//       }
//       updateProgress();
//     }, 300);
//   }

//   // Event listeners for next buttons
//   nextButtons.forEach(button => {
//     button.addEventListener('click', function() {
//       const currentQuestionEl = document.querySelector(`.question[data-question="${currentQuestion}"]`);
//       const radioButtons = currentQuestionEl.querySelectorAll('input[type="radio"]');
      
//       // Check if any radio button is selected
//       let isSelected = false;
//       radioButtons.forEach(radio => {
//         if (radio.checked) {
//           isSelected = true;
//         }
//       });

//       if (isSelected) {
//         if (currentQuestion < totalQuestions) {
//           currentQuestion++;
//           showQuestion(currentQuestion);
//         }
//       } else {
//         // Alert user to select an option
//         alert('Please select an answer before continuing');
//       }
//     });
//   });

//   // Event listeners for previous buttons
//   prevButtons.forEach(button => {
//     button.addEventListener('click', function() {
//       if (currentQuestion > 1) {
//         currentQuestion--;
//         showQuestion(currentQuestion);
//       }
//     });
//   });

//   // Form submission
//   form.addEventListener('submit', function(e) {
//     // Validate last question
//     const lastQuestionEl = document.querySelector(`.question[data-question="${totalQuestions}"]`);
//     const radioButtons = lastQuestionEl.querySelectorAll('input[type="radio"]');
    
//     let isSelected = false;
//     radioButtons.forEach(radio => {
//       if (radio.checked) {
//         isSelected = true;
//       }
//     });

//     if (!isSelected) {
//       e.preventDefault();
//       alert('Please select an answer before showing results');
//     }
//   });

//   // Initialize the first question
//   showQuestion(currentQuestion);
// });